Bug with Gnome 2 MATE fork.

Forum rules
Before you post please read how to get help

Bug with Gnome 2 MATE fork.

Postby meteorrock on Tue Jan 08, 2013 5:19 am

Did anyone notice the bug applying the aurora engine through the "appearance" menu? I checked my version for MATE, its 1.4, the latest version. The apt-get says its already installed on my machine. Yes, I tried to apply
Code: Select all
 apt-get install gtk2-engines-aurora
as SU and I have the latest installed. The canned answers and run around on the interwebs here in the forums and elsewhere is kind of excusableness, guys., especially for the new linux users. If you want that fork of the gnome project on the github to be taken seriously you should not include the options for that theme in the default download of linux mint 14.1 with MATE 1.4. And yes, I already updated my headers and the PPA for that theme.

This bug should be addressed, I saw the bug tracker for it on the interwebs for that fork, and its on the old side. Glass themes are not going anywhere and I feel it helps others come over from Windows 7 to wanting to use linux mint as a viable OS. I was kind of annoyed having to find a solution to a problem that should of been addressed as it was noticeable by others here in the forums, I know some of you are developers. Fire up that GNU debugger or whatever debugger you are using for your framebox and lets nail down that bug. I will leave a message tomorrow for that bug on the gnome forums also.
meteorrock
Level 3
Level 3
 
Posts: 122
Joined: Tue Jan 08, 2013 2:24 am

Linux Mint is funded by ads and donations.
 

Re: Bug with Gnome 2 MATE fork.

Postby meteorrock on Thu Jan 10, 2013 2:37 am

Guys? Did you leave a ticket for that bug up in gnome 2 fork for me up on the git? We need to start looking over that bug and have it fixed by the next update. I am sure someone that maintains that github branch will have it fixed for us soon.
meteorrock
Level 3
Level 3
 
Posts: 122
Joined: Tue Jan 08, 2013 2:24 am

Re: Bug with Gnome 2 MATE fork.

Postby meteorrock on Sat Jan 19, 2013 12:15 am

This is for the debuggers working on the gnome 2 fork. I dont want you to think I was being too harsh :D
Last edited by meteorrock on Tue Feb 05, 2013 1:18 am, edited 1 time in total.
meteorrock
Level 3
Level 3
 
Posts: 122
Joined: Tue Jan 08, 2013 2:24 am

[SOLVED] Bug with Gnome 2 MATE fork.

Postby herbie643 on Mon Feb 04, 2013 5:59 pm

I did some research on where gtk-engines are installed. In Synaptic I found the Aurora was installed in

/usr/lib/gtk-2.0/2.10.0/engines

but murrine was installed in

/usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/libmurrine.so

So I went to /usr/lib/gtk-2.0/2.10.0/engines in caja as 'root' and copied

libaurora.so

to:
/usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines/

Then when you bring up Appearance Properties and select the theme, no longer do you get the error about aurora engine not being installed.

So 'I assume' that the problem is not with MATE but with Synaptic's deb file for aurora putting the engine in the wrong directory.
herbie643
Level 3
Level 3
 
Posts: 138
Joined: Tue Oct 19, 2010 9:16 pm

Re: Bug with Gnome 2 MATE fork.

Postby herbie643 on Mon Feb 04, 2013 6:07 pm

In fact I also found that equinox is also installed in the wrong directory as well.

I really don't know who is in error here. The maintainer of the engine or the Mint Team.
herbie643
Level 3
Level 3
 
Posts: 138
Joined: Tue Oct 19, 2010 9:16 pm

Re: Bug with Gnome 2 MATE fork.

Postby xenopeek on Mon Feb 04, 2013 6:59 pm

Thanks for the report meteorrock, and for the investigative work herbie643! Some more digging shows this is affecting multiple packages and multiple repositories, so I'm not sure who needs to work on this... I do have a hack that will make it work for all packages.

The ones that work (install their .so files to /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines for 64-bit, or /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines for 32-bit):
  • Installed by default, from the Ubuntu repository, are gtk2-engines, gtk2-engines-murrine, and gtk2-engines-pixbuf;
  • Not installed by default, but available from the Ubuntu repository, are gtk2-engines-oxygen, gtk2-engines-qtcurve, and gtk2-engines-xfce.
The ones that don't work (install their .so files to /usr/lib/gtk-2.0/2.10.0/engines):
  • Installed by default, from the Linux Mint repository, are gtk2-engines-aurora and gtk2-engines-candido;
  • Not installed by default, but available from the Ubuntu repository, are gtk2-engines-cleanice, gtk2-engines-equinox, gtk2-engines-magicchicken, gtk2-engines-moblin, gtk2-engines-nodoka, and gtk2-engines-wonderland.
A hack to get packages like these working transparently, is to remove gtk2-engines-aurora and gtk2-engines-candido, create a softlink from /usr/lib/gtk-2.0/2.10.0/engines to /usr/lib/<arch>-linux-gnu/gtk-2.0/2.10.0/engines, and then install the packages again. Any other gtk2-engines-* packages that would install in the "wrong" place would then also work.

Note that if you had installed yourself any of the packages gtk2-engines-cleanice, gtk2-engines-equinox, gtk2-engines-magicchicken, gtk2-engines-moblin, gtk2-engines-nodoka, or gtk2-engines-wonderland, you should remove these also as part of the first command below.

To do so on Linux Mint 14.1 MATE 64-bit:
Code: Select all
apt remove gtk2-engines-aurora gtk2-engines-candido
sudo mkdir -p /usr/lib/gtk-2.0/2.10.0
sudo ln -s /usr/lib/x86_64-linux-gnu/gtk-2.0/2.10.0/engines /usr/lib/gtk-2.0/2.10.0/engines
apt install gtk2-engines-aurora gtk2-engines-candido

Or for Linux Mint MATE 14.1 32-bit:
Code: Select all
apt remove gtk2-engines-aurora gtk2-engines-candido
sudo mkdir -p /usr/lib/gtk-2.0/2.10.0
sudo ln -s /usr/lib/i386-linux-gnu/gtk-2.0/2.10.0/engines /usr/lib/gtk-2.0/2.10.0/engines
apt install gtk2-engines-aurora gtk2-engines-candido

Testing this, I have Aurora again :D
User avatar
xenopeek
Level 21
Level 21
 
Posts: 15449
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: Bug with Gnome 2 MATE fork.

Postby meteorrock on Tue Feb 05, 2013 1:19 am

Thanks for the follow up. :) I will take a look over this.
meteorrock
Level 3
Level 3
 
Posts: 122
Joined: Tue Jan 08, 2013 2:24 am

Re: Bug with Gnome 2 MATE fork.

Postby xenopeek on Tue Feb 05, 2013 9:25 am

I think the problem is with the package maintainer; these packages are not multiarch aware.
User avatar
xenopeek
Level 21
Level 21
 
Posts: 15449
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Linux Mint is funded by ads and donations.
 

Return to Themes, Icons, & Wallpaper

Who is online

Users browsing this forum: No registered users and 1 guest